Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.io
Class ByteOrderValues

    java.lang.Object
      com.vividsolutions.jts.io.ByteOrderValues

    public class ByteOrderValues

extends java.lang.Object

Methods to read and write primitive Java datatypes from/to byte sequences, allowing the byte order to be specified

Similar to the standard Java `ByteBuffer` class.

Field Summary
`static int` | `BIG_ENDIAN`
`static int` | `LITTLE_ENDIAN`

Constructor Summary
`ByteOrderValues()`

Method Summary
`static double` | `getDouble(byte[] buf, int byteOrder)`
`static int` | `getInt(byte[] buf, int byteOrder)`
`static long` | `getLong(byte[] buf, int byteOrder)`
`static void` | `putDouble(double doubleValue, byte[] buf, int byteOrder)`
`static void` | `putInt(int intValue, byte[] buf, int byteOrder)`
`static void` | `putLong(long longValue, byte[] buf, int byteOrder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BIG_ENDIAN

    public static final int BIG_ENDIAN

See Also:
  Constant Field Values

### LITTLE_ENDIAN

    public static final int LITTLE_ENDIAN

See Also:
  Constant Field Values

Constructor Detail

### ByteOrderValues

    public ByteOrderValues()

Method Detail

### getInt

    public static int getInt(byte[] buf,
                             int byteOrder)

### putInt

    public static void putInt(int intValue,
                              byte[] buf,
                              int byteOrder)

### getLong

    public static long getLong(byte[] buf,
                               int byteOrder)

### putLong

    public static void putLong(long longValue,
                               byte[] buf,
                               int byteOrder)

### getDouble

    public static double getDouble(byte[] buf,
                                   int byteOrder)

### putDouble

    public static void putDouble(double doubleValue,
                                 byte[] buf,
                                 int byteOrder)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD